%define oname ClientForm

Summary:	Client-side HTML form handling
Name:		python-clientform
Version:	0.2.10
Release:	%mkrel 6
Source0:	http://wwwsearch.sourceforge.net/%{oname}/src/%{oname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
BuildArch:	noarch
URL:		http://wwwsearch.sourceforge.net/ClientForm/
BuildRequires:	python-devel
BuildRequires:	python-setuptools

%description
ClientForm is a Python module for handling HTML forms on the client
side, useful for parsing HTML forms, filling them in and returning the
completed forms to the server.  It developed from a port of Gisle Aas'
Perl module HTML::Form, from the libwww-perl library, but the
interface is not the same.

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --single-version-externally-managed --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *txt *html
%{py_puresitedir}/%{oname}*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.2.10-6.mga4
+ Revision: 543161
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.10-5.mga4
+ Revision: 498258
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.2.10-4.mga3
+ Revision: 378600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 0.2.10-3.mga1
+ Revision: 55710
- rebuild to make all pythonegg requires/provides lowercase

* Sun Jan 23 2011 ennael <ennael> 0.2.10-2.mga1
+ Revision: 35576
- imported package python-clientform


* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 0.2.10-2mdv2011.0
+ Revision: 589936
- rebuild for python 2.7

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.10-1mdv2009.1
+ Revision: 319239
- correct directory
- buildrequires python-setuptools
- rebuild with python 2.6
- clean spec a bit
- new release 0.2.10

* Sun Jul 27 2008 Götz Waschk <waschk@mandriva.org> 0.2.9-1mdv2009.0
+ Revision: 250658
- import python-clientform


